from django.conf.urls.defaults import patterns, include, url
import settings

# Uncomment the next two lines to enable the admin:
from django.contrib import admin

admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    #url(r'^$', 'bookLoan.views.'),
    # url(r'^biglib/', include('biglib.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    #url(r'^login/', 'django.contrib.auth.views.login', {'template_name':'login.html'}),
    #url(r'^logout/', 'django.contrib.auth.views.logout_then_login', {'login_url':'/login/'}),
    url(r'^admin/', include(admin.site.urls)),
    url(r'', include('accounts.urls')),
    url(r'', include('bookLoan.urls')),
    url(r'', include('haystack.urls')),
    url(r'', include('friendship.urls')),
    url(r'', include('ratingSystem.urls')),
    
    url(r'^' + settings.MEDIA_URL[1:] + '(?P<path>.*)$', 'django.views.static.serve',{'document_root': settings.MEDIA_ROOT }),
    
)
