$(document).ready(function() {

    $("#dialog-returning-book-confirmation").dialog({
      modal: true,
      bgiframe: true,
      width: 400,
      height: 150,
      autoOpen: false,
      overlay: {
        backgroundColor: '#000',
        opacity: 0.5
      },
      });

	$(".returning-book-confirmation-btn").click(function() {
		var loan_id = $(this).attr('loan_id');

        $("#dialog-returning-book-confirmation").dialog('option', 'buttons', {
                "Confirmar" : function() {
		     $.ajax({
			    type : "GET",
			    url : "/devolucao/" + loan_id + "/confirmacao/s",
			    dataType : "json",
			    success : function(result) {

                                
				$('#' + loan_id).removeClass('success');
				$('#' + loan_id).removeClass('error');
				$('#' + loan_id).fadeIn();
                                
				/* success */
				if (result != '0') {
					$('#' + loan_id).addClass('success');					
					$('#' + loan_id).html('Livro devolvido.');
					setTimeout(function() {
						$('#' + loan_id).fadeOut();
					}, 6000);
                    $('#' + loan_id + '-btn').hide();
                    $('#'+loan_id+'-status').text('status alterado');
				} else {
					$('#' + loan_id).addClass('error');
					$('#' + loan_id).html('Erro');
					setTimeout(function() {
						$('#' + loan_id).fadeOut();
					}, 6000);
				}
                                                               
			   }
		      });
                      $(this).dialog("close");
                 },
                "Negar" : function() {
                    $.ajax({
			    type : "GET",
			    url : "/devolucao/" + loan_id + "/confirmacao/n",
			    dataType : "json",
			    success : function(result) {

                                
				$('#' + loan_id).removeClass('success');
				$('#' + loan_id).removeClass('error');
				$('#' + loan_id).fadeIn();
                                
				/* success */
				if (result != '0') {
					$('#' + loan_id).addClass('success');					
					$('#' + loan_id).html('Sucesso. Seu amigo será notificado.');
					setTimeout(function() {
						$('#' + loan_id).fadeOut();
					}, 6000);
                    $('#' + loan_id + '-btn').hide();
                    $('#'+loan_id+'-status').text('status alterado');
				} else {
					$('#' + loan_id).addClass('error');
					$('#' + loan_id).html('Erro');
					setTimeout(function() {
						$('#' + loan_id).fadeOut();
					}, 6000);
				}
                                                               
			   }
		      });
                      $(this).dialog("close");
                    }
                });

                $("#dialog-returning-book-confirmation").dialog("open");

	});
});
