# -*- coding: utf-8 -*-
from django.forms.models import ModelForm
from django import forms
from bookLoan.models import BookRating


class BookCommentWithRatingForm(ModelForm):
    
    class Meta:
        model = BookRating
        fields = ('rating','comments','rated_book')
        widgets = {
                   'rating': forms.RadioSelect(),
                   'comments': forms.Textarea(),
                   'rated_book': forms.HiddenInput(),
                   }

